---
title: Get a deployment event
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Delivery Performance
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get a deployment event{% #get-a-deployment-event %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/dora/deployments/{deployment_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/dora/deployments/{deployment_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/dora/deployments/{deployment_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/dora/deployments/{deployment_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/dora/deployments/{deployment_id} |

### Overview

Use this API endpoint to get a deployment event. This endpoint requires the `dora_metrics_read` permission.

### Arguments

#### Path Parameters

| Name                            | Type   | Description                     |
| ------------------------------- | ------ | ------------------------------- |
| deployment_id [*required*] | string | The ID of the deployment event. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response for fetching a single deployment event.

| Parent field | Field                           | Type      | Description                                                                                                  |
| ------------ | ------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------ |
|              | data                            | object    | A DORA deployment event.                                                                                     |
| data         | attributes                      | object    | The attributes of the deployment event.                                                                      |
| attributes   | custom_tags                     | [string]  | A list of user-defined tags. The tags must follow the `key:value` pattern. Up to 100 may be added per event. |
| attributes   | env                             | string    | Environment name to where the service was deployed.                                                          |
| attributes   | finished_at                     | date-time | The time when the deployment finished.                                                                       |
| attributes   | git                             | object    | Git info returned by DORA Metrics events.                                                                    |
| git          | commit_sha [*required*]    | string    | Git Commit SHA.                                                                                              |
| git          | repository_id [*required*] | string    | Git Repository ID                                                                                            |
| attributes   | service [*required*]       | string    | Service name.                                                                                                |
| attributes   | started_at [*required*]    | date-time | The time when the deployment started.                                                                        |
| attributes   | team                            | string    | Name of the team owning the deployed service.                                                                |
| attributes   | version                         | string    | Version to correlate with APM Deployment Tracking.                                                           |
| data         | id                              | string    | The ID of the deployment event.                                                                              |
| data         | type                            | enum      | JSON:API type for DORA deployment events. Allowed enum values: `dora_deployment`                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "custom_tags": [
        "language:java",
        "department:engineering"
      ],
      "env": "production",
      "finished_at": "2023-08-31T14:26:24Z",
      "git": {
        "commit_sha": "66adc9350f2cc9b250b69abddab733dd55e1a588",
        "repository_id": "github.com/organization/example-repository"
      },
      "service": "shopist",
      "started_at": "2023-08-31T14:26:14Z",
      "team": "backend",
      "version": "v1.12.07"
    },
    "id": "string",
    "type": "dora_deployment"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export deployment_id="CHANGE_ME" \# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/dora/deployments/${deployment_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
